Subject: Re: [PATCH] dnet: Dave DNET ethernet controller driver

From: Sascha Hauer <[email-masked]>
Date: Thu, 12 Mar 2009 21:27:45 +0100

On Thu, Mar 12, 2009 at 09:14:49PM +0100, Wolfgang Denk wrote:
> Dear Sascha Hauer,
> 
> In message <[email-masked]> you wrote:
> >
> > Great, but how does this help in setting the MAC address? This would
> > just move this exact discussion to the dracut or whatever mailing list,
> > but we would still be searching for a generic way to say
> > eth0addr=00:01:02:03:04:05 and I bet the arguments stay the same.
> 
> Well, PowerPC uses the device tree for such information.  As  far  as
> I've been told work is underway to extend the device tree support for
> ARM, too.  [And U-Boot supports the device tree, of course.]

I'm looking forward to the first patches on Linux Arm Kernel. That's
gonna be even more fun than this thread ;)

Sascha

-- 
Pengutronix e.K.                           |                             |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |
Peiner Str. 6-8, 31137 Hildesheim, Germany | Phone: +49-5121-206917-0    |
Amtsgericht Hildesheim, HRA 2686           | Fax:   +49-5121-206917-5555 |